{ config, pkgs, ... }:
{
  programs.vim = {
    enable = true;
    plugins = with pkgs.vimPlugins; [
      vim-nix
      rust-vim
      fzf-vim
      sleuth
    ];
    extraConfig = ''
      source ${./rcfiles/vimrc}
    '';
  };

  programs.neovim = {
    enable = true;
    defaultEditor = true;
    extraLuaConfig = ''
      vim.opt.ignorecase = true -- search case insensitive
      vim.opt.smartcase = true -- search matters if capital letter
      vim.opt.inccommand = "split" -- "for incsearch while sub
      vim.g.mapleader = ","
    '';
  };
}
